Bug 176824 - (SambaTapeShare) Bad: Not able to share tape drive
Bad: Not able to share tape drive
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-03 07:23 EST by Rajesh Kanchan
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-05 15:15:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajesh Kanchan 2006-01-03 07:23:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
Bad: When i try to share my tape using samba shares then it wont share the tape drive.

Version-Release number of selected component (if applicable):
samba-3.0.0-14.3E

How reproducible:
Always

Steps to Reproduce:
1.[Tape]
        comment = Backup Tape Drive
        path = /dev/tape
        writable = yes
        public = yes
        browseable = yes
        create mask = 0765


Actual Results:  crashed nautilus when trying to access the Tpae share from nautilus smbfs:///

Additional info:

show the tape contents and read and write on tape.
Comment 1 Jay Fenlason 2006-01-05 15:15:39 EST
1: Update your Samba installation.  3.0.0 has known security vulnerabilities. 
 
2: "man smb.conf" says 
       path (S) 
              This parameter specifies a directory to which the user of the 
service is to be given access. In the case of printable services, this is 
where print data will spool prior to being submitted to the host for printing. 
 
Note that that says "directory", not "device".  Did you run testparm after you 
created your smb.conf?  It should complain loudly about the non-directory in 
your share definition. 
 
3: the fact that Nautilus crashed when accessing an invalid share is a bug in 
Nautilus that you should open separately. 
 

Note You need to log in before you can comment on or make changes to this bug.